Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request POST \ --url https://shlp-web-production.up.railway.app/api/v1/actions/deposit/quote \ --header 'Content-Type: application/json' \ --data ' { "amountRaw": "1000000", "account": "0xB4a1168b8Ea05aF1536aC990F4940e50E0Be17f1", "receiver": "0xB4a1168b8Ea05aF1536aC990F4940e50E0Be17f1", "slippageBps": 50 } '
{ "success": true, "data": { "action": "<string>", "tx": { "to": "<string>", "data": "<string>", "value": "0", "chainId": 999 }, "account": "<string>", "receiver": "<string>", "quoteBlock": "<string>", "requirements": [ { "type": "approval", "token": "<string>", "spender": "<string>", "amount": { "raw": "1000000", "decimals": 6, "formatted": "1.000000" }, "tx": { "to": "<string>", "data": "<string>", "value": "0", "chainId": 999 } } ], "expected": { "assets": { "raw": "1000000", "decimals": 6, "formatted": "1.000000" }, "shares": { "raw": "1000000", "decimals": 6, "formatted": "1.000000" }, "minShares": { "raw": "1000000", "decimals": 6, "formatted": "1.000000" } }, "slippageBps": 123, "expiresAt": "2023-11-07T05:31:56Z" }, "meta": { "updatedAt": "2023-11-07T05:31:56Z" } }
USDC base units. Must be at least 1000000 for native HyperEVM deposits.
"1000000"
^0x[a-fA-F0-9]{40}$
0 <= x <= 2000
OK
Show child attributes